﻿@model EmploymentInfoModel
@{
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    AgeModel AgeData = ViewBag.AgeData;
}
<input type="hidden" id="ClientAge" value="@Convert.ToInt32(AgeData.Client.Age)" />
<input type="hidden" id="SpouseAge" value="@Convert.ToInt32(AgeData.Spouse.Age)" />
<div id="step-1">
    <div class="row">
        <div class="col-xl-4">
            <div class="form-group @(Model?.Occupation?.Guid!=null?"disabled-div":null)">
                <label asp-for="Occupation.EmploymentOf"></label>
                <select class="form-control form-control-lg @(Model?.Occupation?.Guid!=null?"disabled":null)" asp-for="Occupation.EmploymentOf">
                    @foreach (var item in EmploymentOf)
                    {
                        <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                    }
                </select>
                <span asp-validation-for="Occupation.EmploymentOf" class="text-danger"></span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl-4">
            <div class="form-group @(Model?.Occupation?.Guid!=null?"disabled-div":null)">
                <label asp-for="Occupation.EmploymentStatus"></label>
                <select class="form-control form-control-lg @(Model?.Occupation?.Guid!=null?"disabled":null)" asp-for="Occupation.EmploymentStatus" asp-items="EnumHelper.GetEnumSelectList<EmploymentStatusEnum>()"></select>
                <span asp-validation-for="Occupation.EmploymentStatus" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 full retired d-none">
            <div class="form-group">
                <label asp-for="Occupation.AgeToRetire"></label>
                <input asp-for="Occupation.AgeToRetire" class="form-control form-control-lg year-mask" type="text">
                <span asp-validation-for="Occupation.AgeToRetire" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 full d-none">
            <div class="form-group">
                <label asp-for="Occupation.YearsToRetire"></label>
                <input asp-for="Occupation.YearsToRetire" class="form-control form-control-lg" type="text" disabled>
                <span asp-validation-for="Occupation.YearsToRetire" class="text-danger"></span>
            </div>
        </div>
    </div>
    <div class="row full d-none">
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.EmploymentTypes"></label>
                <select class="form-control form-control-lg" asp-for="Occupation.EmploymentTypes" asp-items="ViewBag.EmploymentType"></select>
                <span asp-validation-for="Occupation.EmploymentTypes" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.AnnualEarnings"></label>
                <input asp-for="Occupation.AnnualEarnings" class="form-control form-control-lg currency" type="text">
                <span asp-validation-for="Occupation.AnnualEarnings" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.TenYearExpectedAnnualIncome">My Income Over The 10 Years Will</label>
                <select class="form-control form-control-lg" asp-for="Occupation.TenYearExpectedAnnualIncome" asp-items="EnumHelper.GetEnumSelectList<TenYearExpectedAnnualIncomeEnum>()">
                </select>
                <span asp-validation-for="Occupation.TenYearExpectedAnnualIncome" class="text-danger"></span>
            </div>
        </div>
    </div>
</div>
<div class="d-none" id="step-2">
    <div class="row">
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.Occupation"></label>
                <input asp-for="Occupation.Occupation" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.Occupation" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.Industry"></label>
                <input asp-for="Occupation.Industry" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.Industry" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.Employer"></label>
                <input asp-for="Occupation.Employer" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.Employer" class="text-danger"></span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl-6">
            <div class="form-group">
                <label asp-for="Occupation.Address1"></label>
                <input asp-for="Occupation.Address1" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.Address1" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-6">
            <div class="form-group">
                <label asp-for="Occupation.Address2"></label>
                <input asp-for="Occupation.Address2" class="form-control form-control-lg capitalize">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl-4">
            <div class="form-group">
                <label asp-for="Occupation.Zip"></label>
                <input asp-for="Occupation.Zip" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.Zip" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 address d-none">
            <div class="form-group">
                <label asp-for="Occupation.State"></label>
                <input asp-for="Occupation.State" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.State" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 address d-none">
            <div class="form-group">
                <label asp-for="Occupation.City"></label>
                <input asp-for="Occupation.City" class="form-control form-control-lg capitalize">
                <span asp-validation-for="Occupation.City" class="text-danger"></span>
            </div>
        </div>
    </div>
</div>
<div class="d-none" id="step-3">
    <div class="form-group">
        <label>You (or your spouse) listed your occupation as being in or possibly affiliated with the ministry or one of the US Armed Services.</label>
    </div>
    <div class="form-group">
        <div class="d-flex">
            <span class="switch switch-icon switch-sm switch-custom">
                <label>
                    <input type="checkbox" asp-for="Occupation.ClergyIsMember">
                    <span></span>
                </label>
            </span>
            <label class="pl-5 mb-0 pt-1" asp-for="Occupation.ClergyIsMember">
                Are you a licensed, ordained, or commissioned clergy member?
            </label>
        </div>
    </div>
    <div class="form-group col-12 row">
        <label class="w-400px col-form-label">Current living arrangements:</label>
        <div>
            <select asp-for="Occupation.ClergyLivingIn" class="form-control form-control-sm w-200px" asp-items="Html.GetEnumSelectList<ClergyLivingArrangementEnum>()">
            </select>
        </div>
    </div>
    <div class="form-group col-12 row">
        <label class="w-400px col-form-label">Your housing allowance designated by the church is:</label>
        <div class="w-200px">
            <input asp-for="Occupation.ClergyAllowance" type="text" class="form-control form-control-sm currency">
        </div>
    </div>
    <div class="form-group">
        <div class="d-flex">
            <span class="switch switch-icon switch-sm switch-custom">
                <label>
                    <input type="checkbox" asp-for="Occupation.ClergyIsExcludeFromRetirement">
                    <span></span>
                </label>
            </span>
            <label class="pl-5 mb-0 pt-1" asp-for="Occupation.ClergyIsExcludeFromRetirement">
                Is it important to you to maintain your Housing Allowance exclusion throughout your retirement years?
            </label>
        </div>
    </div>
</div>